package com.cim.idm.response;

public class RespGenerator {
    /**
     * 接口调用成功时返回数据
     * @param data
     * 接口返回数据
     */
    public static BaseResponse returnOK(Object data) {
        return new BaseResponse("200", "SUCCESS!", data);
    }

    /**
     * 调用失败
     * @param baseErrorEnum
     *            异常枚举
     */
//    public static BaseResponse<Object> fail(BaseErrorEnum baseErrorEnum) {
//        return new BaseResponse<Object>(baseErrorEnum.getCode(), baseErrorEnum.getMessage(), null);
//    }

    /**
     * 调用失败
     * @param code
     *            错误码
     * @param message
     *            错误信息
     */
    public static BaseResponse<Object> returnError(String code, String message) {
        return new BaseResponse<Object>(code, message, null);
    }

    /**
     * 调用失败
     * @param message
     *            错误信息
     */
    public static BaseResponse<Object> returnError(String message) {
        return new BaseResponse<Object>("500", message, null);
    }
}
